petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatMPIAdjToSeq

Converts an parallel MPIAdj matrix to complete MPIAdj on each process (needed by sequential preconditioners)

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMPIAdjToSeq(Mat A,Mat *B)

Logically Collective on MPI_Comm

### Input Parameter

A -the matrix

### Output Parameter

B -the same matrix on all processes

### See Also

MatCreate(), MatCreateMPIAdj(), MatSetValues()

### Level

intermediate

### Location

src/mat/impls/adj/mpi/mpiadj.c

### Implementations

MatMPIAdjToSeq_MPIAdj in src/mat/impls/adj/mpi/mpiadj.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages